import { Commitment, Slot } from './common';
type GetBlocksApiResponse = Slot[];
export interface GetBlocksApi {
    /**
     * Returns a list of confirmed blocks between two slots
     */
    getBlocks(startSlot: Slot, endSlotInclusive?: Slot, config?: Readonly<{
        commitment?: Exclude<Commitment, 'processed'>;
    }>): GetBlocksApiResponse;
}
export {};
//# sourceMappingURL=getBlocks.d.ts.map